<section class="detail-dataset-preview-map">
  <div [ngClass]="[jds.alert, jds.alertPrimary]">
    <div [ngClass]="[jds.d('flex')]">
      <div [ngClass]="[jds.alertIcon]">
        <jds-bi-icon
          [ngClass]="jds.me(16)"
          name="circle-info"
        />
      </div>
      <div>
        <div [ngClass]="jds.mb(8)">
          Ingin mengetahui bagaimana cara untuk menggunakan fitur preview peta?
          Temukan caranya disini.
        </div>
        <a
          [ngClass]="[jds.alertLink, jds.fs(14)]"
          [routerLinkActive]="['active']"
          [routerLink]="['/help']"
          [queryParams]="{ topic: 'dataset' }"
          fragment="preview-dataset-in-map-form"
          queryParamsHandling="merge"
        >
          Jelajahi selengkapnya
        </a>
      </div>
    </div>
  </div>

  <ng-container *ngIf="isLoading">
    <div
      class="wrapper-skeleton"
      *ngFor="let number of [100, 100]"
    >
      <ngx-skeleton-loader
        [theme]="{
          width: number + '%',
          'border-radius': '0',
          height: '20px',
          'margin-bottom': '10px'
        }"
      />
    </div>
  </ng-container>

  <ng-container *ngIf="!isLoading">
    <div [ngClass]="jds.row">
      <div [ngClass]="jds.col(9)">
        <div [ngClass]="[jds.card, jds.mb(20)]">
          <div [ngClass]="[jds.cardBody, jds.p(0)]">
            <div id="map"></div>
          </div>
        </div>

        <div [ngClass]="[jds.card]">
          <div
            [ngClass]="[jds.cardBody]"
            [innerHTML]="infoLegend | safeHtml"
          ></div>
        </div>
      </div>
      <div [ngClass]="jds.col(3)">
        <div [ngClass]="[jds.card]">
          <div [ngClass]="[jds.cardHeader]">
            <h5 [ngClass]="[jds.cardTitle]">Sesuaikan tampilan peta</h5>
          </div>
          <div [ngClass]="[jds.cardBody, className.filter]">
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Gaya Peta</label>
              <ng-select
                #graph
                [(ngModel)]="filters.map"
                [searchable]="false"
                [clearable]="false"
                [items]="mapOption"
                bindValue="value"
                bindLabel="label"
                placeholder="Gaya Grafik"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Spasial (Wilayah)</label>
              <ng-select
                #axis1
                [(ngModel)]="filters.axis1"
                [searchable]="false"
                [clearable]="false"
                [items]="axis1Option"
                bindValue="value"
                bindLabel="label"
                placeholder="Axis 1"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Value (Nilai)</label>
              <ng-select
                #axis2
                [(ngModel)]="filters.axis2"
                [searchable]="false"
                [clearable]="false"
                [items]="axis2Option"
                bindValue="value"
                bindLabel="label"
                placeholder="Axis 2"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Grup Value (Nilai)</label>
              <ng-select
                #group
                [(ngModel)]="filters.group"
                [searchable]="false"
                [clearable]="false"
                [items]="groupOption"
                (change)="changeGroup()"
                bindValue="value"
                bindLabel="label"
                placeholder="Grup Kolom"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <ng-select
                #filter
                [(ngModel)]="filters.group2"
                [searchable]="false"
                [clearable]="false"
                [items]="group2Option"
                bindValue="value"
                bindLabel="label"
                placeholder="Grup Kolom"
              />
            </div>
            <div [ngClass]="jds.d('grid')">
              <button
                [ngClass]="[
                  jds.button,
                  jds.buttonPrimary,
                  jds.d('flex'),
                  jds.justifyContent('center')
                ]"
                (click)="changeMap()"
                type="submit"
              >
                <jds-bi-icon
                  [ngClass]="jds.me(8)"
                  name="magnifying-glass"
                />
                <span>Pratinjau</span>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
</section>
